pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.6.0 20110205 (Red Hat 4.6.0-0.6)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_mine_detector" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure Break_Start;
   pragma Import (C, Break_Start, "__gnat_break_start");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#ded563e8#;
   pragma Export (C, u00001, "mine_detectorB");
   u00002 : constant Version_32 := 16#ba46b2cd#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#10d589fc#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#02891daf#;
   pragma Export (C, u00004, "gtkS");
   u00005 : constant Version_32 := 16#b412034c#;
   pragma Export (C, u00005, "gdkS");
   u00006 : constant Version_32 := 16#0a2a17dd#;
   pragma Export (C, u00006, "glibB");
   u00007 : constant Version_32 := 16#e82cc588#;
   pragma Export (C, u00007, "glibS");
   u00008 : constant Version_32 := 16#07116dec#;
   pragma Export (C, u00008, "ada__tagsB");
   u00009 : constant Version_32 := 16#2f42ba32#;
   pragma Export (C, u00009, "ada__tagsS");
   u00010 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00010, "adaS");
   u00011 : constant Version_32 := 16#9cd289cc#;
   pragma Export (C, u00011, "ada__exceptionsB");
   u00012 : constant Version_32 := 16#ed247096#;
   pragma Export (C, u00012, "ada__exceptionsS");
   u00013 : constant Version_32 := 16#95643e9a#;
   pragma Export (C, u00013, "ada__exceptions__last_chance_handlerB");
   u00014 : constant Version_32 := 16#03cf4fc2#;
   pragma Export (C, u00014, "ada__exceptions__last_chance_handlerS");
   u00015 : constant Version_32 := 16#2d1a1afa#;
   pragma Export (C, u00015, "systemS");
   u00016 : constant Version_32 := 16#30ec78bc#;
   pragma Export (C, u00016, "system__soft_linksB");
   u00017 : constant Version_32 := 16#ec1008f3#;
   pragma Export (C, u00017, "system__soft_linksS");
   u00018 : constant Version_32 := 16#0d2b82ae#;
   pragma Export (C, u00018, "system__parametersB");
   u00019 : constant Version_32 := 16#b1479900#;
   pragma Export (C, u00019, "system__parametersS");
   u00020 : constant Version_32 := 16#72905399#;
   pragma Export (C, u00020, "system__secondary_stackB");
   u00021 : constant Version_32 := 16#39743d54#;
   pragma Export (C, u00021, "system__secondary_stackS");
   u00022 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00022, "system__storage_elementsB");
   u00023 : constant Version_32 := 16#d7d76762#;
   pragma Export (C, u00023, "system__storage_elementsS");
   u00024 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00024, "system__stack_checkingB");
   u00025 : constant Version_32 := 16#8eb8a6d6#;
   pragma Export (C, u00025, "system__stack_checkingS");
   u00026 : constant Version_32 := 16#a7343537#;
   pragma Export (C, u00026, "system__exception_tableB");
   u00027 : constant Version_32 := 16#8fdb15ca#;
   pragma Export (C, u00027, "system__exception_tableS");
   u00028 : constant Version_32 := 16#ff3fa16b#;
   pragma Export (C, u00028, "system__htableB");
   u00029 : constant Version_32 := 16#c2c5b625#;
   pragma Export (C, u00029, "system__htableS");
   u00030 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00030, "system__string_hashB");
   u00031 : constant Version_32 := 16#0b86c26e#;
   pragma Export (C, u00031, "system__string_hashS");
   u00032 : constant Version_32 := 16#6a8a6a74#;
   pragma Export (C, u00032, "system__exceptionsB");
   u00033 : constant Version_32 := 16#880bf0fb#;
   pragma Export (C, u00033, "system__exceptionsS");
   u00034 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00034, "system__img_intB");
   u00035 : constant Version_32 := 16#2fc1fa38#;
   pragma Export (C, u00035, "system__img_intS");
   u00036 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00036, "system__tracebackB");
   u00037 : constant Version_32 := 16#4c9dce8f#;
   pragma Export (C, u00037, "system__tracebackS");
   u00038 : constant Version_32 := 16#47fb468c#;
   pragma Export (C, u00038, "system__unsigned_typesS");
   u00039 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00039, "system__wch_conB");
   u00040 : constant Version_32 := 16#92f134c7#;
   pragma Export (C, u00040, "system__wch_conS");
   u00041 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00041, "system__wch_stwB");
   u00042 : constant Version_32 := 16#bfe018c6#;
   pragma Export (C, u00042, "system__wch_stwS");
   u00043 : constant Version_32 := 16#5d4d477e#;
   pragma Export (C, u00043, "system__wch_cnvB");
   u00044 : constant Version_32 := 16#8c0fb211#;
   pragma Export (C, u00044, "system__wch_cnvS");
   u00045 : constant Version_32 := 16#f77d8799#;
   pragma Export (C, u00045, "interfacesS");
   u00046 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00046, "system__wch_jisB");
   u00047 : constant Version_32 := 16#d87d2905#;
   pragma Export (C, u00047, "system__wch_jisS");
   u00048 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00048, "system__traceback_entriesB");
   u00049 : constant Version_32 := 16#7f3bf4bb#;
   pragma Export (C, u00049, "system__traceback_entriesS");
   u00050 : constant Version_32 := 16#e6965fe6#;
   pragma Export (C, u00050, "system__val_unsB");
   u00051 : constant Version_32 := 16#5753abb7#;
   pragma Export (C, u00051, "system__val_unsS");
   u00052 : constant Version_32 := 16#46a1f7a9#;
   pragma Export (C, u00052, "system__val_utilB");
   u00053 : constant Version_32 := 16#26b78fe5#;
   pragma Export (C, u00053, "system__val_utilS");
   u00054 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00054, "system__case_utilB");
   u00055 : constant Version_32 := 16#80067a72#;
   pragma Export (C, u00055, "system__case_utilS");
   u00056 : constant Version_32 := 16#a2230cb9#;
   pragma Export (C, u00056, "interfaces__cB");
   u00057 : constant Version_32 := 16#ebbc3ca7#;
   pragma Export (C, u00057, "interfaces__cS");
   u00058 : constant Version_32 := 16#7afa2756#;
   pragma Export (C, u00058, "interfaces__c__stringsB");
   u00059 : constant Version_32 := 16#739e0600#;
   pragma Export (C, u00059, "interfaces__c__stringsS");
   u00060 : constant Version_32 := 16#b90c86f6#;
   pragma Export (C, u00060, "ada__finalization__list_controllerB");
   u00061 : constant Version_32 := 16#b97dfd74#;
   pragma Export (C, u00061, "ada__finalization__list_controllerS");
   u00062 : constant Version_32 := 16#7cc77cc0#;
   pragma Export (C, u00062, "ada__finalizationB");
   u00063 : constant Version_32 := 16#01acb175#;
   pragma Export (C, u00063, "ada__finalizationS");
   u00064 : constant Version_32 := 16#01cb6d81#;
   pragma Export (C, u00064, "system__finalization_rootB");
   u00065 : constant Version_32 := 16#23ed1b02#;
   pragma Export (C, u00065, "system__finalization_rootS");
   u00066 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00066, "ada__streamsS");
   u00067 : constant Version_32 := 16#dbb36d26#;
   pragma Export (C, u00067, "system__finalization_implementationB");
   u00068 : constant Version_32 := 16#b301b745#;
   pragma Export (C, u00068, "system__finalization_implementationS");
   u00069 : constant Version_32 := 16#386436bc#;
   pragma Export (C, u00069, "system__restrictionsB");
   u00070 : constant Version_32 := 16#d5f873b7#;
   pragma Export (C, u00070, "system__restrictionsS");
   u00071 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00071, "system__stream_attributesB");
   u00072 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00072, "system__stream_attributesS");
   u00073 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00073, "ada__io_exceptionsS");
   u00074 : constant Version_32 := 16#38b3066d#;
   pragma Export (C, u00074, "glib__objectB");
   u00075 : constant Version_32 := 16#0a3636a2#;
   pragma Export (C, u00075, "glib__objectS");
   u00076 : constant Version_32 := 16#398f61a7#;
   pragma Export (C, u00076, "glib__type_conversion_hooksB");
   u00077 : constant Version_32 := 16#885a3c26#;
   pragma Export (C, u00077, "glib__type_conversion_hooksS");
   u00078 : constant Version_32 := 16#57aea1c7#;
   pragma Export (C, u00078, "gtkadaS");
   u00079 : constant Version_32 := 16#5c334e7a#;
   pragma Export (C, u00079, "gtkada__bindingsB");
   u00080 : constant Version_32 := 16#5bc50cb7#;
   pragma Export (C, u00080, "gtkada__bindingsS");
   u00081 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00081, "gnatS");
   u00082 : constant Version_32 := 16#7d3103a4#;
   pragma Export (C, u00082, "gnat__stringsS");
   u00083 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00083, "system__stringsB");
   u00084 : constant Version_32 := 16#9af0503e#;
   pragma Export (C, u00084, "system__stringsS");
   u00085 : constant Version_32 := 16#100afe53#;
   pragma Export (C, u00085, "gtkada__cB");
   u00086 : constant Version_32 := 16#8c0647d8#;
   pragma Export (C, u00086, "gtkada__cS");
   u00087 : constant Version_32 := 16#6fb6efdc#;
   pragma Export (C, u00087, "gtkada__typesB");
   u00088 : constant Version_32 := 16#13109374#;
   pragma Export (C, u00088, "gtkada__typesS");
   u00089 : constant Version_32 := 16#2d0faf9d#;
   pragma Export (C, u00089, "glib__glistB");
   u00090 : constant Version_32 := 16#05a7cd25#;
   pragma Export (C, u00090, "glib__glistS");
   u00091 : constant Version_32 := 16#3b2e7eed#;
   pragma Export (C, u00091, "glib__gslistB");
   u00092 : constant Version_32 := 16#efe6fa6a#;
   pragma Export (C, u00092, "glib__gslistS");
   u00093 : constant Version_32 := 16#796810f7#;
   pragma Export (C, u00093, "gtk__mainB");
   u00094 : constant Version_32 := 16#761fd094#;
   pragma Export (C, u00094, "gtk__mainS");
   u00095 : constant Version_32 := 16#da027ce5#;
   pragma Export (C, u00095, "gdk__typesS");
   u00096 : constant Version_32 := 16#df9caa4d#;
   pragma Export (C, u00096, "glib__generic_propertiesB");
   u00097 : constant Version_32 := 16#c1fff4e2#;
   pragma Export (C, u00097, "glib__generic_propertiesS");
   u00098 : constant Version_32 := 16#c934b725#;
   pragma Export (C, u00098, "glib__valuesB");
   u00099 : constant Version_32 := 16#be67a0da#;
   pragma Export (C, u00099, "glib__valuesS");
   u00100 : constant Version_32 := 16#c48973ab#;
   pragma Export (C, u00100, "gdk__eventB");
   u00101 : constant Version_32 := 16#d3af149f#;
   pragma Export (C, u00101, "gdk__eventS");
   u00102 : constant Version_32 := 16#38a0ef16#;
   pragma Export (C, u00102, "gdk__rectangleB");
   u00103 : constant Version_32 := 16#d65c1811#;
   pragma Export (C, u00103, "gdk__rectangleS");
   u00104 : constant Version_32 := 16#129cbcee#;
   pragma Export (C, u00104, "gdk__windowB");
   u00105 : constant Version_32 := 16#070435fe#;
   pragma Export (C, u00105, "gdk__windowS");
   u00106 : constant Version_32 := 16#4a40f905#;
   pragma Export (C, u00106, "gtk__widgetB");
   u00107 : constant Version_32 := 16#a4015523#;
   pragma Export (C, u00107, "gtk__widgetS");
   u00108 : constant Version_32 := 16#886565a5#;
   pragma Export (C, u00108, "gdk__colorB");
   u00109 : constant Version_32 := 16#728db16b#;
   pragma Export (C, u00109, "gdk__colorS");
   u00110 : constant Version_32 := 16#1cecc062#;
   pragma Export (C, u00110, "gdk__visualB");
   u00111 : constant Version_32 := 16#57dff55c#;
   pragma Export (C, u00111, "gdk__visualS");
   u00112 : constant Version_32 := 16#bfd502e7#;
   pragma Export (C, u00112, "gtk__enumsB");
   u00113 : constant Version_32 := 16#68978d0e#;
   pragma Export (C, u00113, "gtk__enumsS");
   u00114 : constant Version_32 := 16#7a388565#;
   pragma Export (C, u00114, "gtk__styleB");
   u00115 : constant Version_32 := 16#674ac63c#;
   pragma Export (C, u00115, "gtk__styleS");
   u00116 : constant Version_32 := 16#d3c8e76d#;
   pragma Export (C, u00116, "pangoS");
   u00117 : constant Version_32 := 16#a165367d#;
   pragma Export (C, u00117, "pango__fontB");
   u00118 : constant Version_32 := 16#278d968e#;
   pragma Export (C, u00118, "pango__fontS");
   u00119 : constant Version_32 := 16#853ec0b7#;
   pragma Export (C, u00119, "pango__enumsB");
   u00120 : constant Version_32 := 16#b1a17cd5#;
   pragma Export (C, u00120, "pango__enumsS");
   u00121 : constant Version_32 := 16#03f47200#;
   pragma Export (C, u00121, "gdk__fontB");
   u00122 : constant Version_32 := 16#9c80f811#;
   pragma Export (C, u00122, "gdk__fontS");
   u00123 : constant Version_32 := 16#557e4e5c#;
   pragma Export (C, u00123, "gdk__gcB");
   u00124 : constant Version_32 := 16#4c3034e7#;
   pragma Export (C, u00124, "gdk__gcS");
   u00125 : constant Version_32 := 16#cf4253f9#;
   pragma Export (C, u00125, "gdk__regionB");
   u00126 : constant Version_32 := 16#e68e8cab#;
   pragma Export (C, u00126, "gdk__regionS");
   u00127 : constant Version_32 := 16#d846c6e4#;
   pragma Export (C, u00127, "gdk__pixmapB");
   u00128 : constant Version_32 := 16#4efc7484#;
   pragma Export (C, u00128, "gdk__pixmapS");
   u00129 : constant Version_32 := 16#ed02b600#;
   pragma Export (C, u00129, "gdk__bitmapB");
   u00130 : constant Version_32 := 16#149e89dd#;
   pragma Export (C, u00130, "gdk__bitmapS");
   u00131 : constant Version_32 := 16#56b65ebb#;
   pragma Export (C, u00131, "gtk__objectB");
   u00132 : constant Version_32 := 16#55547c45#;
   pragma Export (C, u00132, "gtk__objectS");
   u00133 : constant Version_32 := 16#eb859973#;
   pragma Export (C, u00133, "glib__propertiesB");
   u00134 : constant Version_32 := 16#d65ec4c8#;
   pragma Export (C, u00134, "glib__propertiesS");
   u00135 : constant Version_32 := 16#3ff167fb#;
   pragma Export (C, u00135, "pango__layoutB");
   u00136 : constant Version_32 := 16#71c68887#;
   pragma Export (C, u00136, "pango__layoutS");
   u00137 : constant Version_32 := 16#82e15043#;
   pragma Export (C, u00137, "pango__attributesB");
   u00138 : constant Version_32 := 16#243259c5#;
   pragma Export (C, u00138, "pango__attributesS");
   u00139 : constant Version_32 := 16#c26c423f#;
   pragma Export (C, u00139, "pango__contextB");
   u00140 : constant Version_32 := 16#85e6a248#;
   pragma Export (C, u00140, "pango__contextS");
   u00141 : constant Version_32 := 16#b31611a8#;
   pragma Export (C, u00141, "pango__tabsB");
   u00142 : constant Version_32 := 16#830681e3#;
   pragma Export (C, u00142, "pango__tabsS");
   u00143 : constant Version_32 := 16#0d4ca26f#;
   pragma Export (C, u00143, "gtk__windowB");
   u00144 : constant Version_32 := 16#d47927ad#;
   pragma Export (C, u00144, "gtk__windowS");
   u00145 : constant Version_32 := 16#e7a7096b#;
   pragma Export (C, u00145, "gdk__pixbufB");
   u00146 : constant Version_32 := 16#bd3be0d3#;
   pragma Export (C, u00146, "gdk__pixbufS");
   u00147 : constant Version_32 := 16#8c3f35ca#;
   pragma Export (C, u00147, "gdk__cursorB");
   u00148 : constant Version_32 := 16#e79cba63#;
   pragma Export (C, u00148, "gdk__cursorS");
   u00149 : constant Version_32 := 16#292d0c47#;
   pragma Export (C, u00149, "gdk__displayB");
   u00150 : constant Version_32 := 16#53bae232#;
   pragma Export (C, u00150, "gdk__displayS");
   u00151 : constant Version_32 := 16#4cbd4be2#;
   pragma Export (C, u00151, "gdk__drawableB");
   u00152 : constant Version_32 := 16#66737c77#;
   pragma Export (C, u00152, "gdk__drawableS");
   u00153 : constant Version_32 := 16#76d61e87#;
   pragma Export (C, u00153, "gdk__rgbB");
   u00154 : constant Version_32 := 16#9129eb20#;
   pragma Export (C, u00154, "gdk__rgbS");
   u00155 : constant Version_32 := 16#2f3c957f#;
   pragma Export (C, u00155, "glib__errorB");
   u00156 : constant Version_32 := 16#ad4eccdf#;
   pragma Export (C, u00156, "glib__errorS");
   u00157 : constant Version_32 := 16#3a2e571f#;
   pragma Export (C, u00157, "gtk__accel_groupB");
   u00158 : constant Version_32 := 16#7b082be7#;
   pragma Export (C, u00158, "gtk__accel_groupS");
   u00159 : constant Version_32 := 16#4d2f077a#;
   pragma Export (C, u00159, "gtk__binB");
   u00160 : constant Version_32 := 16#dd1881cd#;
   pragma Export (C, u00160, "gtk__binS");
   u00161 : constant Version_32 := 16#790fc70f#;
   pragma Export (C, u00161, "gtk__containerB");
   u00162 : constant Version_32 := 16#7950bca6#;
   pragma Export (C, u00162, "gtk__containerS");
   u00163 : constant Version_32 := 16#6b9203f5#;
   pragma Export (C, u00163, "gtk__adjustmentB");
   u00164 : constant Version_32 := 16#84cf35d6#;
   pragma Export (C, u00164, "gtk__adjustmentS");
   u00165 : constant Version_32 := 16#0bdb7b2d#;
   pragma Export (C, u00165, "user_ifB");
   u00166 : constant Version_32 := 16#579442af#;
   pragma Export (C, u00166, "user_ifS");
   u00167 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00167, "ada__charactersS");
   u00168 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00168, "ada__characters__latin_1S");
   u00169 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00169, "ada__stringsS");
   u00170 : constant Version_32 := 16#0e71a6bb#;
   pragma Export (C, u00170, "ada__strings__unboundedB");
   u00171 : constant Version_32 := 16#17719459#;
   pragma Export (C, u00171, "ada__strings__unboundedS");
   u00172 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00172, "ada__strings__fixedB");
   u00173 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00173, "ada__strings__fixedS");
   u00174 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00174, "ada__strings__mapsB");
   u00175 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00175, "ada__strings__mapsS");
   u00176 : constant Version_32 := 16#b9e58495#;
   pragma Export (C, u00176, "system__bit_opsB");
   u00177 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00177, "system__bit_opsS");
   u00178 : constant Version_32 := 16#c6426641#;
   pragma Export (C, u00178, "ada__strings__searchB");
   u00179 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00179, "ada__strings__searchS");
   u00180 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00180, "system__compare_array_unsigned_8B");
   u00181 : constant Version_32 := 16#f721ec37#;
   pragma Export (C, u00181, "system__compare_array_unsigned_8S");
   u00182 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00182, "system__address_operationsB");
   u00183 : constant Version_32 := 16#ed64f36d#;
   pragma Export (C, u00183, "system__address_operationsS");
   u00184 : constant Version_32 := 16#fa841685#;
   pragma Export (C, u00184, "fieldS");
   u00185 : constant Version_32 := 16#3b5f9f65#;
   pragma Export (C, u00185, "field__operationsB");
   u00186 : constant Version_32 := 16#0244ca25#;
   pragma Export (C, u00186, "field__operationsS");
   u00187 : constant Version_32 := 16#84ad4a42#;
   pragma Export (C, u00187, "ada__numericsS");
   u00188 : constant Version_32 := 16#036cdb71#;
   pragma Export (C, u00188, "system__random_numbersB");
   u00189 : constant Version_32 := 16#84d4a269#;
   pragma Export (C, u00189, "system__random_numbersS");
   u00190 : constant Version_32 := 16#0f244912#;
   pragma Export (C, u00190, "ada__calendarB");
   u00191 : constant Version_32 := 16#0bc00dc5#;
   pragma Export (C, u00191, "ada__calendarS");
   u00192 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00192, "system__os_primitivesB");
   u00193 : constant Version_32 := 16#9dcb96d3#;
   pragma Export (C, u00193, "system__os_primitivesS");
   u00194 : constant Version_32 := 16#194ccd7b#;
   pragma Export (C, u00194, "system__img_unsB");
   u00195 : constant Version_32 := 16#d80f7a7b#;
   pragma Export (C, u00195, "system__img_unsS");
   u00196 : constant Version_32 := 16#45c8dd84#;
   pragma Export (C, u00196, "gtk__argumentsB");
   u00197 : constant Version_32 := 16#ecef1e67#;
   pragma Export (C, u00197, "gtk__argumentsS");
   u00198 : constant Version_32 := 16#690406b4#;
   pragma Export (C, u00198, "gtk__boxB");
   u00199 : constant Version_32 := 16#c1bf4c71#;
   pragma Export (C, u00199, "gtk__boxS");
   u00200 : constant Version_32 := 16#5a6d9b75#;
   pragma Export (C, u00200, "gtk__buttonB");
   u00201 : constant Version_32 := 16#c8b112eb#;
   pragma Export (C, u00201, "gtk__buttonS");
   u00202 : constant Version_32 := 16#b73a1e81#;
   pragma Export (C, u00202, "gtk__check_buttonB");
   u00203 : constant Version_32 := 16#6727b8a7#;
   pragma Export (C, u00203, "gtk__check_buttonS");
   u00204 : constant Version_32 := 16#2e9016d3#;
   pragma Export (C, u00204, "gtk__toggle_buttonB");
   u00205 : constant Version_32 := 16#efa2afd3#;
   pragma Export (C, u00205, "gtk__toggle_buttonS");
   u00206 : constant Version_32 := 16#4d2df82d#;
   pragma Export (C, u00206, "gtk__dialogB");
   u00207 : constant Version_32 := 16#93c8e78d#;
   pragma Export (C, u00207, "gtk__dialogS");
   u00208 : constant Version_32 := 16#dc80a3e1#;
   pragma Export (C, u00208, "gtk__handlersB");
   u00209 : constant Version_32 := 16#b09dbe8e#;
   pragma Export (C, u00209, "gtk__handlersS");
   u00210 : constant Version_32 := 16#6f332493#;
   pragma Export (C, u00210, "system__assertionsB");
   u00211 : constant Version_32 := 16#8ebefc51#;
   pragma Export (C, u00211, "system__assertionsS");
   u00212 : constant Version_32 := 16#5a6247c0#;
   pragma Export (C, u00212, "gtk__marshallersB");
   u00213 : constant Version_32 := 16#9fae5e22#;
   pragma Export (C, u00213, "gtk__marshallersS");
   u00214 : constant Version_32 := 16#22204266#;
   pragma Export (C, u00214, "gtk__notebookB");
   u00215 : constant Version_32 := 16#2f2d3a38#;
   pragma Export (C, u00215, "gtk__notebookS");
   u00216 : constant Version_32 := 16#1e75d941#;
   pragma Export (C, u00216, "gtk__labelB");
   u00217 : constant Version_32 := 16#874e2b93#;
   pragma Export (C, u00217, "gtk__labelS");
   u00218 : constant Version_32 := 16#67127e45#;
   pragma Export (C, u00218, "gtk__miscB");
   u00219 : constant Version_32 := 16#051ffe34#;
   pragma Export (C, u00219, "gtk__miscS");
   u00220 : constant Version_32 := 16#b716dff9#;
   pragma Export (C, u00220, "gtk__menuB");
   u00221 : constant Version_32 := 16#98febf6d#;
   pragma Export (C, u00221, "gtk__menuS");
   u00222 : constant Version_32 := 16#40c4054e#;
   pragma Export (C, u00222, "gtk__menu_shellB");
   u00223 : constant Version_32 := 16#9bb1910d#;
   pragma Export (C, u00223, "gtk__menu_shellS");
   u00224 : constant Version_32 := 16#ce176f4e#;
   pragma Export (C, u00224, "gtk__menu_itemB");
   u00225 : constant Version_32 := 16#54a26a87#;
   pragma Export (C, u00225, "gtk__menu_itemS");
   u00226 : constant Version_32 := 16#b4cf6e71#;
   pragma Export (C, u00226, "gtk__itemB");
   u00227 : constant Version_32 := 16#f46af26f#;
   pragma Export (C, u00227, "gtk__itemS");
   u00228 : constant Version_32 := 16#a8c26124#;
   pragma Export (C, u00228, "gtk__option_menuB");
   u00229 : constant Version_32 := 16#82f53a95#;
   pragma Export (C, u00229, "gtk__option_menuS");
   u00230 : constant Version_32 := 16#32dd7e40#;
   pragma Export (C, u00230, "gtk__radio_menu_itemB");
   u00231 : constant Version_32 := 16#cbc13687#;
   pragma Export (C, u00231, "gtk__radio_menu_itemS");
   u00232 : constant Version_32 := 16#1d125c53#;
   pragma Export (C, u00232, "gtk__check_menu_itemB");
   u00233 : constant Version_32 := 16#f6e7f5cd#;
   pragma Export (C, u00233, "gtk__check_menu_itemS");
   u00234 : constant Version_32 := 16#7a729a80#;
   pragma Export (C, u00234, "gtk__scrolled_windowB");
   u00235 : constant Version_32 := 16#66aa6cb5#;
   pragma Export (C, u00235, "gtk__scrolled_windowS");
   u00236 : constant Version_32 := 16#9f158944#;
   pragma Export (C, u00236, "gtk__scrollbarB");
   u00237 : constant Version_32 := 16#ecdb772f#;
   pragma Export (C, u00237, "gtk__scrollbarS");
   u00238 : constant Version_32 := 16#683ea804#;
   pragma Export (C, u00238, "gtk__grangeB");
   u00239 : constant Version_32 := 16#da29e775#;
   pragma Export (C, u00239, "gtk__grangeS");
   u00240 : constant Version_32 := 16#fa6f2e01#;
   pragma Export (C, u00240, "gtk__tableB");
   u00241 : constant Version_32 := 16#758a02ef#;
   pragma Export (C, u00241, "gtk__tableS");
   u00242 : constant Version_32 := 16#bf618cb6#;
   pragma Export (C, u00242, "gtk__textB");
   u00243 : constant Version_32 := 16#95765be8#;
   pragma Export (C, u00243, "gtk__textS");
   u00244 : constant Version_32 := 16#4dc98db1#;
   pragma Export (C, u00244, "gtk__old_editableB");
   u00245 : constant Version_32 := 16#067d996d#;
   pragma Export (C, u00245, "gtk__old_editableS");
   u00246 : constant Version_32 := 16#10dce4b4#;
   pragma Export (C, u00246, "gtkada__dialogsB");
   u00247 : constant Version_32 := 16#ea894a08#;
   pragma Export (C, u00247, "gtkada__dialogsS");
   u00248 : constant Version_32 := 16#f6956a84#;
   pragma Export (C, u00248, "gtk__pixmapB");
   u00249 : constant Version_32 := 16#f958f341#;
   pragma Export (C, u00249, "gtk__pixmapS");
   u00250 : constant Version_32 := 16#7ce1ddf9#;
   pragma Export (C, u00250, "gtkada__intlB");
   u00251 : constant Version_32 := 16#93e49c9a#;
   pragma Export (C, u00251, "gtkada__intlS");
   u00252 : constant Version_32 := 16#52fbaffa#;
   pragma Export (C, u00252, "gtkada__pixmapsS");
   u00253 : constant Version_32 := 16#dd13bf65#;
   pragma Export (C, u00253, "system__exn_lliB");
   u00254 : constant Version_32 := 16#ac8d6155#;
   pragma Export (C, u00254, "system__exn_lliS");
   u00255 : constant Version_32 := 16#6f001a54#;
   pragma Export (C, u00255, "system__exp_unsB");
   u00256 : constant Version_32 := 16#7a37e526#;
   pragma Export (C, u00256, "system__exp_unsS");
   u00257 : constant Version_32 := 16#7993dbbd#;
   pragma Export (C, u00257, "system__val_intB");
   u00258 : constant Version_32 := 16#65bf30c5#;
   pragma Export (C, u00258, "system__val_intS");
   u00259 : constant Version_32 := 16#0936cab5#;
   pragma Export (C, u00259, "system__memoryB");
   u00260 : constant Version_32 := 16#e791a6ef#;
   pragma Export (C, u00260, "system__memoryS");
   u00261 : constant Version_32 := 16#1d302859#;
   pragma Export (C, u00261, "system__crtlS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.exn_lli%s
   --  system.exn_lli%b
   --  system.htable%s
   --  system.img_int%s
   --  system.img_int%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.exp_uns%s
   --  system.exp_uns%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.val_int%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.random_numbers%s
   --  system.secondary_stack%s
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  system.soft_links%b
   --  system.secondary_stack%b
   --  system.random_numbers%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  system.finalization_implementation%s
   --  system.finalization_implementation%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.finalization.list_controller%s
   --  ada.finalization.list_controller%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  glib%s
   --  glib%b
   --  gdk%s
   --  glib.error%s
   --  glib.error%b
   --  gtkada%s
   --  gtkada.intl%s
   --  gtkada.intl%b
   --  gtkada.types%s
   --  gtkada.types%b
   --  pango%s
   --  field%s
   --  field.operations%s
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.values%s
   --  glib.values%b
   --  gdk.color%s
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  gtk%s
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  glib.object%b
   --  gdk.color%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  gdk.event%s
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.window%s
   --  gdk.event%b
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  gtkada.pixmaps%s
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.style%s
   --  gtk.style%b
   --  gtk.widget%s
   --  gdk.window%b
   --  gtk.arguments%s
   --  gtk.arguments%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.box%s
   --  gtk.box%b
   --  gtk.button%s
   --  gtk.button%b
   --  gtk.grange%s
   --  gtk.grange%b
   --  gtk.item%s
   --  gtk.item%b
   --  gtk.main%s
   --  gtk.main%b
   --  gtk.marshallers%s
   --  gtk.marshallers%b
   --  gtk.menu_item%s
   --  gtk.menu_item%b
   --  gtk.check_menu_item%s
   --  gtk.check_menu_item%b
   --  gtk.menu_shell%s
   --  gtk.menu_shell%b
   --  gtk.menu%s
   --  gtk.menu%b
   --  gtk.misc%s
   --  gtk.misc%b
   --  gtk.label%s
   --  gtk.label%b
   --  gtk.notebook%s
   --  gtk.notebook%b
   --  gtk.old_editable%s
   --  gtk.old_editable%b
   --  gtk.option_menu%s
   --  gtk.option_menu%b
   --  gtk.radio_menu_item%s
   --  gtk.radio_menu_item%b
   --  gtk.scrollbar%s
   --  gtk.scrollbar%b
   --  gtk.scrolled_window%s
   --  gtk.scrolled_window%b
   --  gtk.table%s
   --  gtk.table%b
   --  gtk.text%s
   --  gtk.text%b
   --  gtk.toggle_button%s
   --  gtk.toggle_button%b
   --  gtk.check_button%s
   --  gtk.check_button%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  gtk.dialog%s
   --  gtk.dialog%b
   --  gtk.handlers%s
   --  gtk.handlers%b
   --  gtk.pixmap%s
   --  gtk.pixmap%b
   --  gtkada.dialogs%s
   --  gtkada.dialogs%b
   --  user_if%s
   --  user_if%b
   --  field.operations%b
   --  mine_detector%b
   --  END ELABORATION ORDER

end ada_main;
